Bullet Collision Detection & Physics Library: btCollisionWorld::RayResultCallback Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btCollisionWorld::RayResultCallback Struct Referenceabstract

RayResultCallback is used to report new raycast results. More...

`#include <btCollisionWorld.h>`

Inheritance diagram for btCollisionWorld::RayResultCallback:
[legend]
Collaboration diagram for btCollisionWorld::RayResultCallback:
[legend]

## Public Member Functions
virtual | ~RayResultCallback ()
bool | hasHit () const
| RayResultCallback ()
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const
virtual btScalar | addSingleResult (LocalRayResult &rayResult, bool normalInWorldSpace)=0

## Public Attributes
btScalar | m_closestHitFraction
const btCollisionObject * | m_collisionObject
int | m_collisionFilterGroup
int | m_collisionFilterMask
unsigned int | m_flags

## Detailed Description

RayResultCallback is used to report new raycast results.

Definition at line 195 of file btCollisionWorld.h.

## Constructor & Destructor Documentation

## ◆ ~RayResultCallback()

virtual btCollisionWorld::RayResultCallback::~RayResultCallback | ( |  | ) |
| inlinevirtual

Definition at line 204 of file btCollisionWorld.h.

## ◆ RayResultCallback()

btCollisionWorld::RayResultCallback::RayResultCallback | ( |  | ) |
| inline

Definition at line 212 of file btCollisionWorld.h.

## Member Function Documentation

## ◆ addSingleResult()

virtual btScalar btCollisionWorld::RayResultCallback::addSingleResult | ( | LocalRayResult & | rayResult,
|  | bool | normalInWorldSpace
| ) |  |
| pure virtual

Implemented in btKinematicClosestNotMeRayResultCallback, btCollisionWorld::ClosestRayResultCallback, and btCollisionWorld::AllHitsRayResultCallback.

## ◆ hasHit()

bool btCollisionWorld::RayResultCallback::hasHit | ( |  | ) | const
| inline

Definition at line 207 of file btCollisionWorld.h.

## ◆ needsCollision()

virtual bool btCollisionWorld::RayResultCallback::needsCollision | ( | btBroadphaseProxy * | proxy0 | ) | const
| inlinevirtual

Definition at line 222 of file btCollisionWorld.h.

## Member Data Documentation

## ◆ m_closestHitFraction

btScalar btCollisionWorld::RayResultCallback::m_closestHitFraction

Definition at line 197 of file btCollisionWorld.h.

## ◆ m_collisionFilterGroup

int btCollisionWorld::RayResultCallback::m_collisionFilterGroup

Definition at line 199 of file btCollisionWorld.h.

## ◆ m_collisionFilterMask

int btCollisionWorld::RayResultCallback::m_collisionFilterMask

Definition at line 200 of file btCollisionWorld.h.

## ◆ m_collisionObject

const btCollisionObject* btCollisionWorld::RayResultCallback::m_collisionObject

Definition at line 198 of file btCollisionWorld.h.

## ◆ m_flags

unsigned int btCollisionWorld::RayResultCallback::m_flags

Definition at line 202 of file btCollisionWorld.h.

The documentation for this struct was generated from the following file:

- btCollisionWorld.h